aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gengetopt/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-05-01 11:37:51 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2014-05-01 13:26:56 +0200
commit15dabba52e97aa91b2882712741184396c3f7ae8 (patch)
treefb6c34623b1aad8b6867b8b841e542fe1706a545 /testing/gengetopt/APKBUILD
parent81157a4c9f7955f32f3fbcf7b6fdd8470c3d975f (diff)
downloadaports-15dabba52e97aa91b2882712741184396c3f7ae8.tar.gz
aports-15dabba52e97aa91b2882712741184396c3f7ae8.tar.bz2
aports-15dabba52e97aa91b2882712741184396c3f7ae8.tar.xz
testing/gengetopt: new aport
Tool to write command line option parsing code for C programs http://www.gnu.org/software/gengetopt/
Diffstat (limited to 'testing/gengetopt/APKBUILD')
-rw-r--r--testing/gengetopt/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/testing/gengetopt/APKBUILD b/testing/gengetopt/APKBUILD
new file mode 100644
index 0000000000..6899167bec
--- /dev/null
+++ b/testing/gengetopt/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer:
+pkgname=gengetopt
+pkgver=2.22.6
+pkgrel=0
+pkgdesc="Tool to write command line option parsing code for C programs"
+url="http://www.gnu.org/software/gengetopt/"
+arch="all"
+license="GPLv3+"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnu.org/gnu/gengetopt/gengetopt-$pkgver.tar.gz"
+
+_builddir="$srcdir"/gengetopt-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make -j1 || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="29749a48dda69277ab969c510597a14e gengetopt-2.22.6.tar.gz"
+sha256sums="30b05a88604d71ef2a42a2ef26cd26df242b41f5b011ad03083143a31d9b01f7 gengetopt-2.22.6.tar.gz"
+sha512sums="dad5baf1b6c4c76ae7f532dd63c6aecdc30f31d68a259b6a26a10197f1fe42dc9147a52ac12a0c3fc4b7cd61d288a343a9223f967a5a9a15a0614330b41f68dc gengetopt-2.22.6.tar.gz"